import Vue from 'vue';
import VueRouter from 'vue-router';
import meatCheck from './meta-check';
const _ = require('lodash');

Vue.use(VueRouter);
// check:需要检查的函数名
// parent:是否需要带上父级的检查结果;只要不是false,就带着检查
const routes = [
  {
    path: '/',
    name: 'admin',
    meta: { title: '管理端', check: 'isLogin' },
    component: () => import(/* webpackChunkName: "login" */ '../layout/admin.vue'),
    children: [
      {
        path: '/home',
        name: 'home',
        meta: { title: '首页', parent: true },
        component: () => import(/* webpackChunkName: "home" */ '../views/Home.vue'),
      },
      {
        path: '/site',
        name: 'site',
        meta: { title: '站点管理', parent: true },
        component: () => import(/* webpackChunkName: "site" */ '../views/site/index.vue'),
      },
      {
        path: '/menu',
        name: 'menu',
        meta: { title: '菜单管理', parent: true },
        component: () => import(/* webpackChunkName: "menu" */ '../views/menu/index.vue'),
      },
      {
        path: '/arrange',
        name: 'arrange',
        meta: { title: '安排管理', parent: true },
        component: () => import(/* webpackChunkName: "arrange" */ '../views/arrange/index.vue'),
      },
      {
        path: '/order',
        name: 'order',
        meta: { title: '查看订餐', parent: true },
        component: () => import(/* webpackChunkName: "order" */ '../views/order/index.vue'),
      },
      {
        path: '/news',
        name: 'news',
        meta: { title: '新闻管理', parent: true },
        component: () => import(/* webpackChunkName: "news" */ '../views/news/index.vue'),
      },
    ],
  },
  {
    path: '/login',
    name: 'login',
    meta: { title: '登陆', check: false },
    component: () => import(/* webpackChunkName: "login" */ '../views/login.vue'),
  },
];

const router = new VueRouter({
  mode: 'history',
  base: process.env.VUE_APP_ROUTER,
  routes,
});

router.beforeEach((to, from, next) => {
  const result = meatCheck(to, from, routes);
  if (_.isString(result)) next(result);
  next();
});

export default router;
