const path = require('path');

module.exports = {
  publicPath: `/${process.env.VUE_APP_ROUTER}`,
  // 打包文件
  outputDir: `${process.env.VUE_APP_ROUTER}`,
  productionSourceMap: false,
  configureWebpack: (config) => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        extensions: ['.js', '.json', '.vue'],
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
        },
      },
    });
  },
  devServer: {
    port: '9900',
    //api地址前缀
    proxy: {
      '/files': {
        target: 'http://broadcast.waityou24.cn',
      },
      '/api': {
        target: 'http://www.waityou24.cn', //http://192.168.1.19:9101
        changeOrigin: true,
        ws: false,
      },
    },
  },
};
